//--------------------------------------------------------------------------
// File and Version Information:
//
// Description:
//      See DispBanks.cc for more details.
//
// Environment:
//
// Author List:
//      Yuji Takeuchi
//
// Copyright Information:
//
//------------------------------------------------------------------------

#ifndef DISPBANK_HH
#define DISPBANK_HH

//----------------------
// Base Class Headers --
//----------------------
#include "Framework/APPModule.hh"
#ifdef CDF
#include "BaBar/Cdf.hh"
#endif
//              ---------------------
//              -- Class Interface --
//              ---------------------
 
class DispBanks : public AppModule {

//--------------------
// Instance Members --
//--------------------

public:

    // Constructors
    DispBanks( const char* const theName = "DispBanks", 
	    const char* const theDescription = "Display Banks Module");

    // Destructor
    virtual ~DispBanks( );

    // Operations
      virtual AppResult            beginJob( AbsEvent* aJob );
      virtual AppResult            beginRun( AbsEvent* aRun );
      virtual AppResult            event( AbsEvent* anEvent );
      virtual AppResult            other( AbsEvent* anOther );
      virtual AppResult            endRun( AbsEvent* aRun );
      virtual AppResult            endJob( AbsEvent* aJob );
      virtual AppResult            abortJob( AbsEvent* aJob );

    virtual AppModule*     clone(const char* cloneName);

    const char*  rcsId( ) const;

  ////////////////////////////////////
  // Data
  int _eventN;

};

#endif
