//--------------------------------------------------------------------------
// File and Version Information:
//
// Description:
//      Class UserExample. This is a simple example of a user module. It
//      just prints out each entrypoint (operation) as it is accessed.
//
// Environment:
//      Software developed for the BaBar Detector at the SLAC B-Factory.
//
// Author List:
//
// Copyright Information:
//
//------------------------------------------------------------------------

#ifndef MINMOD_HH
#define MINMOD_HH

//----------------------
// Base Class Headers --
//----------------------
#include "Framework/APPModule.hh"
#ifdef CDF
#include "BaBar/Cdf.hh"
#endif
//              ---------------------
//              -- Class Interface --
//              ---------------------
 
class MinMod : public AppModule {

//--------------------
// Instance Members --
//--------------------

public:

    // Constructors
    MinMod( const char* const theName = "MinMod", 
	    const char* const theDescription = "Minmum Module");

    // Destructor
    virtual ~MinMod( );

    // Operations
      virtual AppResult            beginJob( AbsEvent* aJob );
      virtual AppResult            beginRun( AbsEvent* aRun );
      virtual AppResult      event( AbsEvent* anEvent );
      virtual AppResult            other( AbsEvent* anOther );
      virtual AppResult            endRun( AbsEvent* aRun );
      virtual AppResult            endJob( AbsEvent* aJob );
      virtual AppResult            abortJob( AbsEvent* aJob );

    virtual AppModule*     clone(const char* cloneName);

    const char*  rcsId( ) const;
};

#endif
