//--------------------------------------------------------------------------
// File and Version Information:
//
// Description:
//      Class hepgDump.
//
// Environment:
//
// Author List:
//
// Copyright Information:
//
//------------------------------------------------------------------------

#ifndef hepgDump_HH
#define hepgDump_HH

//----------------------
// Base Class Headers --
//----------------------
#include "Framework/APPModule.hh"
#ifdef CDF
#include "BaBar/Cdf.hh"
#endif


// for HepTuple
#include <HepTuple/HepFileManager.h>
#include <HepTuple/HepRootFileManager.h>
#include <HepTuple/HepHBookFileManager.h>
#include <HepTuple/HepHBookNtuple.h>
#include <HepTuple/HepNtuple.h>
#include <HepTuple/HepHist1D.h>
#include <HepTuple/Column.h>
#include <HepTuple/Block.h>

//              ---------------------
//              -- Class Interface --
//              ---------------------
 
class hepgDump : public AppModule {

//--------------------
// Instance Members --
//--------------------

public:
  // Constructors
  hepgDump( const char* const theName = "hepgDump", 
	    const char* const theDescription = "hepgDump module");

    // Destructor
  virtual ~hepgDump( );

    // Operations
  virtual AppResult beginJob( AbsEvent* aJob );
  virtual AppResult beginRun( AbsEvent* aRun );
  virtual AppResult event( AbsEvent* anEvent );
  virtual AppResult other( AbsEvent* anOther );
  virtual AppResult endRun( AbsEvent* aRun );
  virtual AppResult endJob( AbsEvent* aJob );
  virtual AppResult abortJob( AbsEvent* aJob );
  
  virtual AppModule* clone(const char* cloneName);
  
  const char*  rcsId( ) const;

  // class variables for Histogram
  HepFileManager* _manager;
  HepHist1D* _hist1D;
  HepNtuple* _ntuple;

  struct {
    int   idhep;
    float E;
    float Px;
    float Py;
    float Pz;
    float Vx;
    float Vy;
    float Vz;
  } _var;

};

#endif
