//--------------------------------------------------------------------------
// File and Version Information:
//
// Description:
//      Class AppUserBuild. This class must be provided by the user of
//      the framework in order to build an application. It must define
//      the modules that are to form the basis of the application.
//
// Environment:
//      Software developed for the BaBar Detector at the SLAC B-Factory.
//
// Author List:
//
// Copyright Information:
//
//------------------------------------------------------------------------

//-----------------------
// This Class's Header --
//-----------------------
#include "Framework/APPUserBuild.hh"

//-------------------------------
// Collaborating Class Headers --
//-------------------------------
#include "FrameMods/addCDFrequiredModules.hh"
#include "FrameMods/addAllStorableObjects.hh"

// TEST Modules
#include "Exercise/svxHist.hh"

//-----------------------------------------------------------------------
// Local Macros, Typedefs, Structures, Unions and Forward Declarations --
//-----------------------------------------------------------------------

static const char rcsid[] = "$Id: $";

//----------------
// Constructors --
//----------------

AppUserBuild::AppUserBuild( AppFramework* theFramework )
    : AppBuild( theFramework )
{

    addCDFrequiredModules( this );
    addAllStorableObjects( );
    AppModule* aModule;

    // Append Modules
    aModule = new svxHist();
    add( aModule );
}

//--------------
// Destructor --
//--------------

AppUserBuild::~AppUserBuild( )
{
}
const char * AppUserBuild::rcsId( ) const
{
   return rcsid;
}
